
#ifndef __POPUP_H__
#define __POPUP_H__

#include "defs.h"

void            popupwnd_open(RESULT *res);
void            popupwnd_close();
void            popupwnd_search(const gchar *str);
void            popupwnd_dict_menu_create(gboolean newmenu);

struct _popupwnd
{
    gboolean    lock;
    gint        width, height, search_method, timeout, maxhits;
    gchar       *group, *dict;
    GtkWidget   *wnd, *view, *label, *scan, *menu, *lockbtn;
    GtkTextBuffer *buffer;
    GSequence   *results;
    BOOK_INFO   *binfo;
} popupwnd;

#endif /* __POPUP_H__ */
