
#ifndef __RENDER_H__
#define __RENDER_H__

#include "defs.h"

GdkPixbuf*      load_xbm(BOOK_INFO *binfo, gchar *name, gint *w, gint *h, gchar *color);
void            render_content(EB_Book *book, GtkTextBuffer *buffer, GtkTextView *view, gchar *text);
gboolean	render_get_last_link(GtkTextIter *iter1, GtkTextIter *iter2);

struct _render
{
    gboolean    emphasize, show_image;
    GtkTextBuffer *buffer;
    GtkTextView *view;
    EB_Book     *book;
    RESULT      *link;
} render;

#endif /* __RENDER_H__ */
